Summary: Library and components for secure lock screen architecture
Name:    kscreenlocker
Version: 5.27.9
Release: 1%{?dist}
License: GPLv2+
URL:     https://cgit.kde.org/%{name}.git
Source0: http://download.kde.org/stable/plasma/5.27.9/%{name}-%{version}.tar.xz
BuildRequires:  cmake(LayerShellQt)
BuildRequires:  perl-generators
BuildRequires:  qt5-qtbase-devel, qt5-qtdeclarative-devel, qt5-qtx11extras-devel
BuildRequires:  kf5-rpm-macros, extra-cmake-modules
BuildRequires:  libkscreen-qt5-devel = %{version}
BuildRequires:  kf5-plasma-devel, kf5-kcmutils-devel, kf5-kdeclarative-devel
BuildRequires:  kf5-kidletime-devel, kf5-kdelibs4support-devel, kf5-kcrash-devel
BuildRequires:  kf5-kglobalaccel-devel, kf5-kwayland-devel
BuildRequires:  libX11-devel, xcb-util-keysyms-devel, wayland-devel
BuildRequires:  pkgconfig(xi), libXcursor-devel, pam-devel


%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Provides:       kf5-kscreen-devel = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt --all-name

%files -f %{name}.lang
%license COPYING
%{_kf5_libdir}/libKScreenLocker.so.*
%{_kf5_qtplugindir}/plasma/kcms/systemsettings/kcm_screenlocker.so
%{_kf5_datadir}/knotifications5/*.notifyrc
%{_kf5_datadir}/kconf_update/*
%{_libexecdir}/kscreenlocker_greet
%dir %{_kf5_datadir}/ksmserver/
%{_kf5_datadir}/ksmserver/screenlocker/
%{_kf5_datadir}/applications/kcm_screenlocker.desktop
%{_kf5_datadir}/kpackage/kcms/kcm_screenlocker/*
%{_kf5_datadir}/qlogging-categories5/kscreenlocker.categories

%files devel
%{_includedir}/KScreenLocker/
%{_kf5_libdir}/libKScreenLocker.so
%{_kf5_libdir}/cmake/ScreenSaverDBusInterface/
%{_kf5_libdir}/cmake/KScreenLocker/
%{_datadir}/dbus-1/interfaces/*.xml


%changelog
* Mon Nov 27 2023 Chair <chairou@tencent.com>- 5.27.9-1
- Init
